Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.process
Class PNodeEnd

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNodeEnd

All Implemented Interfaces:
  HasStatus

    public class PNodeEnd

extends TimePoint
implements HasStatus

One end of a PNode.

Field Summary

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`PNodeEnd(End end, PNode node)`

Method Summary
`static void` | `addOrdering(java.util.Map idToNodeMap, Ordering ord)`
`void` | `computeStatus()`
`static PNodeEnd` | `fromRef(java.util.Map idToNodeMap, NodeEndRef ref)`
`End` | `getEnd()`
`PNode` | `getNode()`
`PNodeEnd` | `getOtherNodeEnd()`
`java.util.List` | `getPredecessors()`
`java.util.List` | `getShadowedEnds()` Returns a list containing all the node-ends that are forced by ordering constraints to be after this one.
`Status` | `getStatus()`
`java.util.List` | `getSuccessors()`
`void` | `linkAfter(PNodeEnd from)`
`void` | `linkBefore(PNodeEnd to)`
`void` | `setStatus(Status s)`
`java.lang.String` | `toString()`
`void` | `unlink()`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PNodeEnd

    public PNodeEnd(End end,
                    PNode node)

Method Detail

### fromRef

    public static PNodeEnd fromRef(java.util.Map idToNodeMap,
                                   NodeEndRef ref)

### addOrdering

    public static void addOrdering(java.util.Map idToNodeMap,
                                   Ordering ord)

### getNode

    public PNode getNode()

### getEnd

    public End getEnd()

### getOtherNodeEnd

    public PNodeEnd getOtherNodeEnd()

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `HasStatus`

### setStatus

    public void setStatus(Status s)

  Specified by:
    `setStatus` in interface `HasStatus`

### computeStatus

    public void computeStatus()

  Specified by:
    `computeStatus` in interface `HasStatus`

### getPredecessors

    public java.util.List getPredecessors()

### getSuccessors

    public java.util.List getSuccessors()

### linkBefore

    public void linkBefore(PNodeEnd to)

### linkAfter

    public void linkAfter(PNodeEnd from)

### unlink

    public void unlink()

### getShadowedEnds

    public java.util.List getShadowedEnds()

  Returns a list containing all the node-ends that are forced by ordering constraints to be after this one.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD